Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ensemble.aggregator
Class MajorityVoting

    java.lang.Object
      org.encog.ensemble.aggregator.MajorityVoting

All Implemented Interfaces:
  EnsembleAggregator

    public class MajorityVoting

extends Object
implements EnsembleAggregator

Constructor Summary
`MajorityVoting()`

Method Summary
`MLData` | `evaluate(ArrayList<MLData> outputs)`
`MLData` | `evaluate(ArrayList<MLData> outputs, double threshold, double lowValue, double highValue)`
`String` | `getLabel()`
`boolean` | `needsTraining()`
`void` | `setTrainingSet(EnsembleDataSet trainingSet)`
`void` | `train()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MajorityVoting

    public MajorityVoting()

Method Detail

### evaluate

    public MLData evaluate(ArrayList<MLData> outputs,
                           double threshold,
                           double lowValue,
                           double highValue)

### evaluate

    public MLData evaluate(ArrayList<MLData> outputs)

  Specified by:
    `evaluate` in interface `EnsembleAggregator`

### getLabel

    public String getLabel()

  Specified by:
    `getLabel` in interface `EnsembleAggregator`

### train

    public void train()

  Specified by:
    `train` in interface `EnsembleAggregator`

### setTrainingSet

    public void setTrainingSet(EnsembleDataSet trainingSet)

  Specified by:
    `setTrainingSet` in interface `EnsembleAggregator`

### needsTraining

    public boolean needsTraining()

  Specified by:
    `needsTraining` in interface `EnsembleAggregator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.